#include <stdio.h>

int main(){
  
  int x,c1,c2,c3,min,max,max1; /*c1,c2 i c3 predstavljaju tri odvojene cifre, dok min max i min1 predstavljaju njihove poredane vrednosti
												  (max1 predstavlja srednju vrednost)*/
  
  scanf("%d", &x);
  if(x<100 || x>999){
    printf("-1\n");		/* provera duzine broja */
    return;
  }
  
  c1=x%10;
  c2=(x/10)%10;
  c3=x/100;
  
  max=c1;
  if(c2>max)
    max=c2; 			/* <-- izdvajanje maksimuma */
  if(c3>max)
    max=c3;
  
  min=c1;
  if(c2<min)
    min=c2;			/* <-- izdvajanje minimuma */
  if(c3<min)
    min=c3;
  
  if(c1>min && c1<max)
    max1=c1;
  if(c2>min && c2<max)
    max1=c2;			/* <-- izdvajanje srednje vrednosti */
  if(c3>min && c3<max)
    max1=c3;
    
  if(c3==c2 && c2==c1){
    min==c1;
    max1=c1;
    max=c1;			/* provera da li su svi brojevi isti */
    x=min*100+max1*10+max;
    printf("%d\n", x);
    return 0;
  }
  if((max==c1 && max==c2 || max==c2 && max==c3 || max==c1 && max==c3) && min!=0){
    x=min*100+max*10+max;
    printf("%d\n", x);		/* provera u slucaju da su dva broja ista */
    return 0;
  }
  if((max==c1 && max==c2 || max==c2 && max==c3 || max==c1 && max==c3) && min==0){
    x=max*10+max;
    printf("%d\n", x);		/* provera u slucaju da su dva broja ista, a da je treci nula */
    return 0;
  }
  if(max1==0 && max!=0){
    x=min*10+max;		/* provera u slucaju da je srednji broj nula */
    printf("%d\n", x);
    return 0;
  }
  if(max==0 && max1==0){
    x=min;			/* provera u slucaju da je samo jedan broj veci od nule */
    printf("%d\n", x);
    return 0;
  }
  x=min*100+max1*10+max;	/* slucaj ako nema istih brojeva i nula */
  printf("%d\n", x);
  return 0;
}
